/*
 * Copyright (c) 2011, 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

package test.javafx.scene.shape;

import java.util.Arrays;
import java.util.Collection;
import javafx.scene.shape.Rectangle;

import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;

import test.com.sun.javafx.test.CssMethodsTestBase;

@RunWith(Parameterized.class)
public class Rectangle_cssMethods_Test extends CssMethodsTestBase {
    private static final Rectangle TEST_RECTANGLE = new Rectangle(100, 100);

    @Parameters
    public static Collection data() {
        return Arrays.asList(new Object[] {
            config(TEST_RECTANGLE, "arcWidth", 0.0,
                   "-fx-arc-width", 10.0),
            config(TEST_RECTANGLE, "arcHeight", 0.0,
                   "-fx-arc-height", 20.0),
            config(TEST_RECTANGLE, "translateX", 0.0,
                   "-fx-translate-x", 10.0)
        });
    }

    public Rectangle_cssMethods_Test(final Configuration configuration) {
        super(configuration);
    }
}
