/*
 * Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

#ifndef _WIN_EXCEPTION_HANDLER_H_
#define _WIN_EXCEPTION_HANDLER_H_

// Registers exception handler if needed.
// To enable exception handler set JFXM_EXCEPTION_HANDLER_FILE and/or JFXM_EXCEPTION_HANDLER_CONSOLE environment variables to 1.
// To disable default exception handler when media exception handler is enabled set JFXM_EXCEPTION_DISABLE_DEFAULT_HANDLER to 1.
void SetExceptionHandler();

#endif // _WIN_EXCEPTION_HANDLER_H_
